THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2023-21637

Improper Restrictions of Operations within the Bounds of a Memory Buffer in Linux

Assignerqualcomm
Reserved2022-12-07
Published2023-07-04
Updated2024-07-08

Description

Memory corruption in Linux while calling system configuration APIs.



MEDIUM: 6.7CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Problem types

CWE-119 Improper Restriction of Operations within the Bounds of a Memory Buffer

Product status

Default status
unaffected

AQT1000
affected

FastConnect 6200
affected

FastConnect 6800
affected

FastConnect 6900
affected

QCA6310
affected

QCA6320
affected

QCA6391
affected

QCA6420
affected

QCA6426
affected

QCA6430
affected

QCA6436
affected

QCA6574A
affected

QCA6574AU
affected

QCA6595AU
affected

QCA6696
affected

SA6145P
affected

SA6150P
affected

SA6155P
affected

SA8145P
affected

SA8150P
affected

SA8155P
affected

SA8195P
affected

SD835
affected

SD855
affected

SD865 5G
affected

SDX55
affected

Snapdragon 835 Mobile PC Platform
affected

Snapdragon 855 Mobile Platform
affected

Snapdragon 855+/860 Mobile Platform (SM8150-AC)
affected

Snapdragon 865 5G Mobile Platform
affected

Snapdragon 865+ 5G Mobile Platform (SM8250-AB)
affected

Snapdragon 870 5G Mobile Platform (SM8250-AC)
affected

Snapdragon Auto 5G Modem-RF
affected

Snapdragon W5+ Gen 1 Wearable Platform
affected

Snapdragon Wear 4100+ Platform
affected

Snapdragon X55 5G Modem-RF System
affected

Snapdragon XR2 5G Platform
affected

SW5100
affected

SW5100P
affected

SXR2130
affected

WCD9335
affected

WCD9340
affected

WCD9341
affected

WCD9360
affected

WCD9380
affected

WCN3610
affected

WCN3660B
affected

WCN3680B
affected

WCN3980
affected

WCN3988
affected

WCN3990
affected

WSA8810
affected

WSA8815
affected

WSA8830
affected

WSA8835
affected

References

https://www.qualcomm.com/company/product-security/bulletins/july-2023-bulletin

cve.org CVE-2023-21637

nvd.nist.gov CVE-2023-21637

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2023-21637
© Copyright 2024 THREATINT. Made in Cyprus with +